<!DOCTYPE html>

<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>Plait Webview Docs Global</title>

	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="styles/sunlight.default.css">

	<link type="text/css" rel="stylesheet" href="styles/site.cosmo.css">

</head>

<body>

<div class="navbar navbar-default navbar-fixed-top navbar-inverse">
<div class="container">
	<div class="navbar-header">
		<a class="navbar-brand" href="index.html">Plait Webview Docs</a>
		<button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#topNavigation">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
        </button>
	</div>
	<div class="navbar-collapse collapse" id="topNavigation">
		<ul class="nav navbar-nav">
			
			<li class="dropdown">
				<a href="namespaces.list.html" class="dropdown-toggle" data-toggle="dropdown">Namespaces<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="socket.html">socket</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="classes.list.html" class="dropdown-toggle" data-toggle="dropdown">Classes<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="Control.html">Control</a></li><li><a href="SessionControl.html">SessionControl</a></li><li><a href="Collection.html">Collection</a></li><li><a href="Overview.html">Overview</a></li><li><a href="Plugins.html">Plugins</a></li><li><a href="Editor.html">Editor</a></li><li><a href="FileMenu.html">FileMenu</a></li><li><a href="Form.html">Form</a></li><li><a href="Routing.html">Routing</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="global.html" class="dropdown-toggle" data-toggle="dropdown">Global<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="global.html#routing">routing</a></li><li><a href="global.html#control">control</a></li><li><a href="global.html#showSessions">showSessions</a></li><li><a href="global.html#TabButton">TabButton</a></li><li><a href="global.html#CueButton">CueButton</a></li><li><a href="global.html#CueBar">CueBar</a></li><li><a href="global.html#form">form</a></li><li><a href="global.html#editor">editor</a></li><li><a href="global.html#addGame">addGame</a></li><li><a href="global.html#createGame">createGame</a></li><li><a href="global.html#removeGame">removeGame</a></li><li><a href="global.html#inputPrompt">inputPrompt</a></li><li><a href="global.html#confirmation">confirmation</a></li><li><a href="global.html#identifyBrowser">identifyBrowser</a></li><li><a href="global.html#generateUUID">generateUUID</a></li><li><a href="global.html#namespace">namespace</a></li>
				</ul>
			</li>
			
		</ul>
        
            <div class="col-sm-3 col-md-3">
                <form class="navbar-form" role="search">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search" name="q" id="search-input">
                        <div class="input-group-btn">
                            <button class="btn btn-default" id="search-submit"><i class="glyphicon glyphicon-search"></i></button>
                        </div>
                    </div>
                </form>
            </div>
        
	</div>

</div>
</div>


<div class="container" id="toc-content">
<div class="row">

	
	<div class="col-md-8">
	
		<div id="main">
			

	<h1 class="page-title">Global</h1>
<section>

<header>
    
        <h2>
        
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	

	

	

	
</dl>


        
    
    </div>

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        <dl>
            
<hr>
<dt class="name" id="routing">
    <h4 id="routing"><span class="type-signature"></span>routing<span class="type-signature"></span></h4>

    
</dt>
<dd>
    
    <div class="description">
        <p>url routing instance</p>
    </div>
    

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_control.js.html">control/control.js</a>,
				 <a href="control_control.js.html#sunlight-1-line-26">line 26</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    
</dd>

        
            
<hr>
<dt class="name" id="control">
    <h4 id="control"><span class="type-signature"></span>control<span class="type-signature"></span></h4>

    
</dt>
<dd>
    
    <div class="description">
        <p>control instance</p>
    </div>
    

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_control.js.html">control/control.js</a>,
				 <a href="control_control.js.html#sunlight-1-line-78">line 78</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    
</dd>

        
            
<hr>
<dt class="name" id="form">
    <h4 id="form"><span class="type-signature"></span>form<span class="type-signature"></span></h4>

    
</dt>
<dd>
    
    <div class="description">
        <p>form style editor using json-editor</p>
    </div>
    

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="editor_editor.js.html">editor/editor.js</a>,
				 <a href="editor_editor.js.html#sunlight-1-line-9">line 9</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    
</dd>

        
            
<hr>
<dt class="name" id="editor">
    <h4 id="editor"><span class="type-signature"></span>editor<span class="type-signature"></span></h4>

    
</dt>
<dd>
    
    <div class="description">
        <p>global editor element</p>
    </div>
    

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="editor_editor.js.html">editor/editor.js</a>,
				 <a href="editor_editor.js.html#sunlight-1-line-572">line 572</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    
</dd>

        
            
<hr>
<dt class="name" id="namespace">
    <h4 id="namespace"><span class="type-signature"></span>namespace<span class="type-signature"></span></h4>

    
</dt>
<dd>
    
    <div class="description">
        <p>determine namespace name for spcket connection</p>
    </div>
    

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="server.js.html">server.js</a>,
				 <a href="server.js.html#sunlight-1-line-16">line 16</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    
</dd>

        </dl>
    

    
        <h3 class="subsection-title">Methods</h3>

        <dl>
            
<hr>
<dt>
    <h4 class="name" id="showSessions"><span class="type-signature"></span>showSessions()</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>archive function. Check it out one last time then remove it</p>
    </div>
    

    

    

    
    

    
<dl class="details">
    

	

	

	

    

    

    

    

	
	<dt class="important tag-deprecated method-doc-label method-doc-details-label">Deprecated:</dt>
	
    <dd class="yes-def tag-deprecated">
        <ul class="dummy">
            <li>Yes</li>
        </ul>
    </dd>
    
    

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_control.js.html">control/control.js</a>,
				 <a href="control_control.js.html#sunlight-1-line-85">line 85</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="TabButton"><span class="type-signature"></span>TabButton(name, list, cue_bars, session_control)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>A Tab that opens a cuelist on click. Is also triggered by clicking corresponding cue.</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>button name</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>list</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>



            
            </td>

            

            

            <td class="description last"><p>list of cues that are summarized under this tab</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>cue_bars</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>



            
            </td>

            

            

            <td class="description last"><p>list of <a href="global.html#CueBar">CueBar</a> Objects summarized under this tab</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>session_control</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Object.html">Object</a></span>



            
            </td>

            

            

            <td class="description last"><p>session control namespace</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_session.js.html">control/session.js</a>,
				 <a href="control_session.js.html#sunlight-1-line-564">line 564</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="CueButton"><span class="type-signature"></span>CueButton(cue, chapter, callback)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>Button that triggers a cue on click</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>cue</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Object.html">Object</a></span>



            
            </td>

            

            

            <td class="description last"><p>cue properties the button is based on</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>chapter</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>name of chapter the cue originates from</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>



            
            </td>

            

            

            <td class="description last"><p>called on click</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_session.js.html">control/session.js</a>,
				 <a href="control_session.js.html#sunlight-1-line-599">line 599</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="CueBar"><span class="type-signature"></span>CueBar(button)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>Contains a cue (left) and its comment (right)</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>button</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="global.html#CueButton">CueButton</a></span>



            
            </td>

            

            

            <td class="description last"><p>button object the bar is wrapped around</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="control_session.js.html">control/session.js</a>,
				 <a href="control_session.js.html#sunlight-1-line-623">line 623</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="addGame"><span class="type-signature"></span>addGame(name)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>create a game representing square button with edit, control and delete icon</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>game name</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="home.js.html">home.js</a>,
				 <a href="home.js.html#sunlight-1-line-34">line 34</a>
			</li>
		</ul>
	</dd>
	

	

	

	
	<dt class="tag-todo method-doc-label method-doc-details-label">To Do:</dt>
	<dd class="tag-todo">
		<ul>
			<li>add copy functionality</li>
			</ul>
	</dd>
	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="createGame"><span class="type-signature"></span>createGame()</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>open name input and template dropdown<br>
create game on confirmation then add game squareIcon</p>
    </div>
    

    

    

    
    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="home.js.html">home.js</a>,
				 <a href="home.js.html#sunlight-1-line-86">line 86</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="removeGame"><span class="type-signature"></span>removeGame(name)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>remove game squareIcon</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>game name</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="home.js.html">home.js</a>,
				 <a href="home.js.html#sunlight-1-line-125">line 125</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="inputPrompt"><span class="type-signature"></span>inputPrompt(msg, defaultValue, callback)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>ask user for text input, then call function that handles input</p>
<p>callback is called with text input value</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>msg</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>what to write above the text input</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>defaultValue</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>what text to put in input as default</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>callback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>



            
            </td>

            

            

            <td class="description last"><p>what function to call with user input</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="medley.js.html">medley.js</a>,
				 <a href="medley.js.html#sunlight-1-line-10">line 10</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="confirmation"><span class="type-signature"></span>confirmation(msg)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>check if user is sure to do what she is asked<br>
not to be confused with window function confirm() (does similar thing though)</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>msg</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>will be shown in confirmationn window.</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="medley.js.html">medley.js</a>,
				 <a href="medley.js.html#sunlight-1-line-38">line 38</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    
    <h5>Returns:</h5>
    
            
<div class="param-desc">
    <p>result true if user didn't cancel</p>
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Promise</span>



    </dd>
</dl>


        

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="identifyBrowser"><span class="type-signature"></span>identifyBrowser()</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>use userAgent to find out what Browser is in use (unreliable)</p>
<p>see https://code-boxx.com/detect-browser-with-javascript/</p>
    </div>
    

    

    

    
    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="medley.js.html">medley.js</a>,
				 <a href="medley.js.html#sunlight-1-line-57">line 57</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="generateUUID"><span class="type-signature"></span>generateUUID()</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>Generate Unique Identifier String</p>
<p>Happily copied from<br>
https://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript/8809472#8809472<br>
(Public Domain/MIT)</p>
    </div>
    

    

    

    
    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="medley.js.html">medley.js</a>,
				 <a href="medley.js.html#sunlight-1-line-99">line 99</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        </dl>
    

    

    
</article>

</section>




		</div>
	</div>

	<div class="clearfix"></div>

	
		<div class="col-md-3">
			<div id="toc" class="col-md-3 hidden-xs hidden-sm hidden-md"></div>
		</div>
	

</div>
</div>


    <div class="modal fade" id="searchResults">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">Search results</h4>
          </div>
          <div class="modal-body"></div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div>


<footer>

	 | <a href='https://plaitools.gitlab.io/documentation/plaiframe/'>Plaiframe Documentation</a> | <a href='https://plaitools.gitlab.io/documentation/plaiframe/plugins/'>Plugin Documentation</a> | <a href='https://gitlab.com/plaitools'>Plaitools on Gitlab</a>


	<span class="copyright">
	© 2020 Lasse Marburg, Benedikt Kaffai
	</span>

<span class="jsdoc-message">
	Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.4</a>
	
		on Fri Feb 5th 2021
	
	using the <a href="https://github.com/docstrap/docstrap">DocStrap template</a>.
</span>
</footer>

<script src="scripts/docstrap.lib.js"></script>
<script src="scripts/toc.js"></script>

    <script type="text/javascript" src="scripts/fulltext-search-ui.js"></script>


<script>
$( function () {
	$( "[id*='$']" ).each( function () {
		var $this = $( this );

		$this.attr( "id", $this.attr( "id" ).replace( "$", "__" ) );
	} );

	$( ".tutorial-section pre, .readme-section pre, pre.prettyprint.source" ).each( function () {
		var $this = $( this );

		var example = $this.find( "code" );
		exampleText = example.html();
		var lang = /{@lang (.*?)}/.exec( exampleText );
		if ( lang && lang[1] ) {
			exampleText = exampleText.replace( lang[0], "" );
			example.html( exampleText );
			lang = lang[1];
		} else {
			var langClassMatch = example.parent()[0].className.match(/lang\-(\S+)/);
			lang = langClassMatch ? langClassMatch[1] : "javascript";
		}

		if ( lang ) {

			$this
			.addClass( "sunlight-highlight-" + lang )
			.addClass( "linenums" )
			.html( example.html() );

		}
	} );

	Sunlight.highlightAll( {
		lineNumbers : true,
		showMenu : true,
		enableDoclinks : true
	} );

	$.catchAnchorLinks( {
        navbarOffset: 10
	} );
	$( "#toc" ).toc( {
		anchorName  : function ( i, heading, prefix ) {
			return $( heading ).attr( "id" ) || ( prefix + i );
		},
		selectors   : "#toc-content h1,#toc-content h2,#toc-content h3,#toc-content h4",
		showAndHide : false,
		smoothScrolling: true
	} );

	$( "#main span[id^='toc']" ).addClass( "toc-shim" );
	$( '.dropdown-toggle' ).dropdown();

    $( "table" ).each( function () {
      var $this = $( this );
      $this.addClass('table');
    } );

} );
</script>



<!--Navigation and Symbol Display-->


<!--Google Analytics-->



    <script type="text/javascript">
        $(document).ready(function() {
            SearcherDisplay.init();
        });
    </script>


</body>
</html>